Skip to main content
PATCH
/
interactions
/
{id}
cURL
curl --request PATCH \
  --url https://api.{environment}.corti.app/v2/interactions/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Tenant-Name: <tenant-name>' \
  --data '
{
  "assignedUserId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "encounter": {
    "identifier": "<string>",
    "title": "<string>"
  }
}
'
import { CortiClient, CortiEnvironment } from "@corti/sdk";

const client = new CortiClient({
environment: CortiEnvironment.Eu,
auth: {
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET"
},
tenantName: "YOUR_TENANT_NAME"
});
await client.interactions.update("f47ac10b-58cc-4372-a567-0e02b2c3d479");
using Corti;

var client = new CortiClient(
"TENANT_NAME",
CortiClientEnvironment.Eu,
new CortiClientAuth.ClientCredentials("client_id", "client_secret")
);
await client.Interactions.UpdateAsync(
"f47ac10b-58cc-4372-a567-0e02b2c3d479",
new InteractionsUpdateRequest()
);
import requests

url = "https://api.{environment}.corti.app/v2/interactions/{id}"

payload = {
"assignedUserId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"encounter": {
"identifier": "<string>",
"title": "<string>"
}
}
headers = {
"Tenant-Name": "<tenant-name>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.{environment}.corti.app/v2/interactions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'assignedUserId' => 'f47ac10b-58cc-4372-a567-0e02b2c3d479',
'encounter' => [
'identifier' => '<string>',
'title' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Tenant-Name: <tenant-name>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.{environment}.corti.app/v2/interactions/{id}"

payload := strings.NewReader("{\n \"assignedUserId\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\",\n \"encounter\": {\n \"identifier\": \"<string>\",\n \"title\": \"<string>\"\n }\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("Tenant-Name", "<tenant-name>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.patch("https://api.{environment}.corti.app/v2/interactions/{id}")
.header("Tenant-Name", "<tenant-name>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"assignedUserId\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\",\n \"encounter\": {\n \"identifier\": \"<string>\",\n \"title\": \"<string>\"\n }\n}")
.asString();
{
  "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "assignedUserId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "encounter": {
    "identifier": "<string>",
    "period": {
      "startedAt": "2023-11-07T05:31:56Z",
      "endedAt": "2023-11-07T05:31:56Z"
    },
    "title": "<string>"
  },
  "patient": {
    "identifier": "<string>",
    "name": "<string>",
    "birthDate": "2023-11-07T05:31:56Z",
    "pronouns": "<string>"
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "websocketUrl": "<string>",
  "lastUpdated": "2023-11-07T05:31:56Z",
  "endedAt": "2023-11-07T05:31:56Z"
}
{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}
{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}

Authorizations

Authorization
string
header
required

Input your token

Headers

Tenant-Name
string
required

Identifies a distinct entity within Corti's multi-tenant system. Ensures correct routing and authentication of the request.

Example:

"base"

Path Parameters

id
string<uuid>
required

The unique identifier of the interaction. Must be a valid UUID.

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

Body

application/json
assignedUserId
string<uuid>

The unique identifier of the medical professional responsible for this interaction. If nulled, automatically set to a uuid.

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

encounter
object

Details of the encounter being updated.

patient
object

Patient-related updates.

Response

A request body containing the fields to update within the interaction.

id
string<uuid>
required

Unique identifier for the interaction.

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

assignedUserId
string<uuid>
required

A unique identifier for the medical professional responsible for this interaction. If nulled, automatically set to a uuid.

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

encounter
object
required

Information about the encounter, including type, status, and timing.

patient
object
required

Details about the patient involved in the interaction, if applicable.

createdAt
string<date-time>
required

The timestamp when the interaction was started (UTC).

updatedAt
string<date-time>
required

The timestamp when the interaction was last modified (UTC).

websocketUrl
string
required

WebSocket URL for streaming real-time interactions. Append a token in the format: /interactions/{interactionID}/streams?token=Bearer token-value-here

lastUpdated
string<date-time>
required

The timestamp indicating the last recorded update for this interaction.

endedAt
string<date-time> | null

The timestamp when the interaction concluded (UTC).